close all;
clear all;

nu = 1.99; 
size = 0.5;
x = .01:.01:size; 
y = .01:.01:size;

n1 = length(x); n2 = length(y);

Sigma = zeros(n1*n2,n1*n2);

for i = 1:n2
    for j = 1:n1
        row_state = (i-1)*n2 + j;
        for k = 1:n2
            for l = 1:n1
                column_state = (k-1)*n2 + l;
                    distance = sqrt((x(j)-x(l))^2 + (y(i)-y(k))^2);
                    Sigma(row_state,column_state) = 0.5 * exp(-distance^nu);
            end
        end
    end
end

A = chol(Sigma);
Y = randn(1,n1*n2) * A;

X = zeros(n1,n2);

for i = 1:n2
    for j = 1:n1
        X(i,j) = Y((i-1)*n2 + j);
    end
end

subplot(1,2,1);
surf(x,y,X)
subplot(1,2,2);
contour(x,y,X);